Get administration PSP mandates
curl --request GET \
--url https://api.paytsoftware.com/v1/psp_mandates \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.paytsoftware.com/v1/psp_mandates"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.paytsoftware.com/v1/psp_mandates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"administration_id": "<string>",
"bank_account_name": "<string>",
"bank_account_number": "<string>",
"debtor_id": "<string>",
"id": "<string>",
"mandate_identifier": "<string>",
"provider": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"mandate_reference": "<string>",
"debtor_number": "<string>",
"deactivated_at": "2023-11-07T05:31:56Z"
}
],
"pagination": {
"cursor": "<string>"
}
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}psp_mandates
Get administration PSP mandates
Get administration PSP mandates
GET
/
v1
/
psp_mandates
Get administration PSP mandates
Authorizations
OAuth2 access token or static API token. See Authorization for how to obtain one.
Query Parameters
Administration identifier
Filter PSP mandates with a comma separated list of internal ids
Filter PSP mandates with a comma separated list of internal debtor ids
Filter PSP mandates with a comma separated list of debtor numbers
JSON object defining fields to receive (e.g {"only": ["field1", {"field2": ["field3"]}]})
ISO8601 UTC Timestamp to filter records updated after it
The record identifier after which to start the page
How many records will be returned per page, (1..500), defaults to 100
Required range:
1 <= x <= 500Last modified on September 28, 2026
Was this page helpful?